logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



apache server 2.4 and php - unable to get going

 
Post new topic   Reply to topic    Apache Forum Index -> Other Software



View previous topic :: View next topic  
Author Message
anandamj



Joined: 25 May 2016
Posts: 9
Location: Brownsville, TX, USA

PostPosted: Thu 26 May '16 2:34    Post subject: apache server 2.4 and php - unable to get going Reply with quote

I have installed apache server 2.4.10 (64 bit) and running good. But, I am not able to get the PHP going in the server. I have installed php 5.4.9. The error is: Cannot load c:/php/ext/php5apach2_4.dll into server: %1 is not a valid Win32 application.

System: Windows 7

Has anyone come across this error? Is there any help out there for me? Any help is greatly appreciated.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 780
Location: Amsterdam, NL, EU

PostPosted: Thu 26 May '16 4:30    Post subject: Reply with quote

You are trying to load a 32-bit php5apache2_4.dll into a 64-bit Apache. This will not work. Either upgrade to a 64-bit PHP or downgrade to a 32-bit Apache (x86, VC19).
Back to top
anandamj



Joined: 25 May 2016
Posts: 9
Location: Brownsville, TX, USA

PostPosted: Fri 27 May '16 15:28    Post subject: Reply with quote

I am not able to locate the 64-bit php5apache2_4.dll. Do you know where I can find that?
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 780
Location: Amsterdam, NL, EU

PostPosted: Fri 27 May '16 19:25    Post subject: Reply with quote

anandamj wrote:
I am not able to locate the 64-bit php5apache2_4.dll. Do you know where I can find that?

In a 64-bits PHP versiom. Officially only PHP 5.5, 5.6 & 7.0:
http://windows.php.net/download/

Non-official 64-bit PHP 5.4 builds:
https://www.apachelounge.com/viewtopic.php?t=6359

I recommend upgrading to at least PHP 5.6, if possible. This is the only version of PHP 5 that is actively maintained by the PHP devs.
Back to top
anandamj



Joined: 25 May 2016
Posts: 9
Location: Brownsville, TX, USA

PostPosted: Fri 27 May '16 23:42    Post subject: Reply with quote

I am trying to install php 5.6.22 (nts, 64 bit), as suggested by you. Where can I find php5apache2_4.dll (64 bit)?
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 780
Location: Amsterdam, NL, EU

PostPosted: Sat 28 May '16 14:52    Post subject: Reply with quote

The NTS-versions cannot be loaded as mod_php. You'll have to use the TS-version.
Back to top
anandamj



Joined: 25 May 2016
Posts: 9
Location: Brownsville, TX, USA

PostPosted: Sun 05 Jun '16 21:19    Post subject: Reply with quote

Thank you Jan-E for your help on this. Yes, I was able to install the TS-version. Actually, I am trying to load piwik in our system for tracking the web activities. At last, last night, I was able to install piwik. Everything is working fine now. Thanks again.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Other Software
Page 1 of 1